Package org.eclipse.core.databinding.property

## Interface ISimplePropertyListener<S,​D extends IDiff>

Type Parameters:
  `D` - type of the diff handled by this listener
  `S` - type of the source object

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ISimplePropertyListener<S,​D extends IDiff>

Listener for changes to properties on a particular source object

Since:
  1.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent​(SimplePropertyEvent<S,​D> event)` Handle the described property event.

### Method Detail

#### handleEvent

    void handleEvent​(SimplePropertyEvent<S,​D> event)

Handle the described property event.

Parameters:
  `event` - the event which occurred